Package org.apache.struts2.views.freemarker.tags

# Class CallbackWriter

java.lang.Object
java.io.Writer
org.apache.struts2.views.freemarker.tags.CallbackWriter

All Implemented Interfaces:
  `freemarker.template.TransformControl`, `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class CallbackWriter extends Writer implements freemarker.template.TransformControl

- ## Field Summary

  ### Fields inherited from class java.io.Writer

  `lock`

  ### Fields inherited from interface freemarker.template.TransformControl

  `END_EVALUATION, EVALUATE_BODY, REPEAT_EVALUATION, SKIP_BODY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallbackWriter(Component bean, Writer writer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `afterBody()`
  `void`
  `close()`
  `void`
  `flush()`
  `Component`
  `getBean()`
  `void`
  `onError(Throwable throwable)`
  `int`
  `onStart()`
  `void`
  `write(char[] cbuf, int off, int len)`

  ### Methods inherited from class java.io.Writer

  `append, append, append, nullWriter, write, write, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallbackWriter

    public CallbackWriter(Component bean, Writer writer)

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in class `Writer`
    Throws:
      `IOException`

  - ### flush

    public void flush() throws IOException
    Specified by:
      `flush` in interface `Flushable`
    Specified by:
      `flush` in class `Writer`
    Throws:
      `IOException`

  - ### write

    public void write(char[] cbuf, int off, int len) throws IOException
    Specified by:
      `write` in class `Writer`
    Throws:
      `IOException`

  - ### onStart

    public int onStart() throws freemarker.template.TemplateModelException, IOException
    Specified by:
      `onStart` in interface `freemarker.template.TransformControl`
    Throws:
      `freemarker.template.TemplateModelException`
      `IOException`

  - ### afterBody

    public int afterBody() throws freemarker.template.TemplateModelException, IOException
    Specified by:
      `afterBody` in interface `freemarker.template.TransformControl`
    Throws:
      `freemarker.template.TemplateModelException`
      `IOException`

  - ### onError

    public void onError(Throwable throwable) throws Throwable
    Specified by:
      `onError` in interface `freemarker.template.TransformControl`
    Throws:
      `Throwable`

  - ### getBean

    public Component getBean()